org.apache.http.protocol

## Class HttpProcessorBuilder

- java.lang.Object
- - org.apache.http.protocol.HttpProcessorBuilder

    public class HttpProcessorBuilder
    extends Object

Builder for `HttpProcessor` instances.

Since:
  4.3

### Method Summary

Methods
`HttpProcessorBuilder` `add(HttpRequestInterceptor e)`
`HttpProcessorBuilder` `add(HttpResponseInterceptor e)`
`HttpProcessorBuilder` `addAll(HttpRequestInterceptor... e)`
`HttpProcessorBuilder` `addAll(HttpResponseInterceptor... e)`
`HttpProcessorBuilder` `addAllFirst(HttpRequestInterceptor... e)`
`HttpProcessorBuilder` `addAllFirst(HttpResponseInterceptor... e)`
`HttpProcessorBuilder` `addAllLast(HttpRequestInterceptor... e)`
`HttpProcessorBuilder` `addAllLast(HttpResponseInterceptor... e)`
`HttpProcessorBuilder` `addFirst(HttpRequestInterceptor e)`
`HttpProcessorBuilder` `addFirst(HttpResponseInterceptor e)`
`HttpProcessorBuilder` `addLast(HttpRequestInterceptor e)`
`HttpProcessorBuilder` `addLast(HttpResponseInterceptor e)`
`HttpProcessor` `build()`
`static HttpProcessorBuilder` `create()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static HttpProcessorBuilder create()

#### addFirst

    public HttpProcessorBuilder addFirst(HttpRequestInterceptor e)

#### addLast

    public HttpProcessorBuilder addLast(HttpRequestInterceptor e)

#### add

    public HttpProcessorBuilder add(HttpRequestInterceptor e)

#### addAllFirst

    public HttpProcessorBuilder addAllFirst(HttpRequestInterceptor... e)

#### addAllLast

    public HttpProcessorBuilder addAllLast(HttpRequestInterceptor... e)

#### addAll

    public HttpProcessorBuilder addAll(HttpRequestInterceptor... e)

#### addFirst

    public HttpProcessorBuilder addFirst(HttpResponseInterceptor e)

#### addLast

    public HttpProcessorBuilder addLast(HttpResponseInterceptor e)

#### add

    public HttpProcessorBuilder add(HttpResponseInterceptor e)

#### addAllFirst

    public HttpProcessorBuilder addAllFirst(HttpResponseInterceptor... e)

#### addAllLast

    public HttpProcessorBuilder addAllLast(HttpResponseInterceptor... e)

#### addAll

    public HttpProcessorBuilder addAll(HttpResponseInterceptor... e)

#### build

    public HttpProcessor build()